Artifact Stores - Create Or Update
Hiermee maakt of werkt u een artefactarchief bij.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HybridNetwork/publishers/{publisherName}/artifactStores/{artifactStoreName}?api-version=2023-09-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
artifact
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
De naam van het artefactarchief. |
|
publisher
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
De naam van de uitgever. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is niet hoofdlettergevoelig. |
|
subscription
|
path | True |
string minLength: 1 |
De id van het doelabonnement. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Aanvraagbody
| Name | Vereist | Type | Description |
|---|---|---|---|
| location | True |
string |
De geografische locatie waar de resource zich bevindt |
| properties |
ArtifactStores-eigenschappen. |
||
| tags |
object |
Resourcetags. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De bewerking Voor het maken of bijwerken is voltooid. De bewerking retourneert de resulterende ArtifactStore-subresource. |
|
| 201 Created |
De bewerking Voor het maken of bijwerken is voltooid. De bewerking retourneert de resulterende ArtifactStore-subresource. |
|
| Other Status Codes |
Foutreactie waarin wordt beschreven waarom de bewerking is mislukt. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Create or update an artifact store of publisher resource
Voorbeeldaanvraag
PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg/providers/Microsoft.HybridNetwork/publishers/TestPublisher/artifactStores/TestArtifactStore?api-version=2023-09-01
{
"location": "eastus",
"properties": {
"storeType": "AzureContainerRegistry",
"replicationStrategy": "SingleReplication",
"managedResourceGroupConfiguration": {
"name": "testRg",
"location": "eastus"
}
}
}
Voorbeeldrespons
{
"name": "TestArtifactStore",
"id": "/subscriptions/subid/providers/microsoft.hybridnetwork/publishers/TestPublisher/artifactStores/TestArtifactStore",
"type": "microsoft.hybridnetwork/publishers/artifactStores",
"location": "eastus",
"properties": {
"storeType": "AzureContainerRegistry",
"replicationStrategy": "SingleReplication",
"storageResourceId": "TestResourceId",
"managedResourceGroupConfiguration": {
"name": "testRg",
"location": "eastus"
}
}
}
{
"name": "TestArtifactStore",
"id": "/subscriptions/subid/providers/microsoft.hybridnetwork/publishers/TestPublisher/artifactStores/TestArtifactStore",
"type": "microsoft.hybridnetwork/publishers/artifactStores",
"location": "eastus",
"properties": {
"storeType": "AzureContainerRegistry",
"replicationStrategy": "SingleReplication",
"storageResourceId": "TestResourceId",
"managedResourceGroupConfiguration": {
"name": "testRg",
"location": "eastus"
}
}
}
Definities
| Name | Description |
|---|---|
|
Artifact |
De replicatiestrategie. |
|
Artifact |
Eigenschappen van artefactopslag. |
|
Artifact |
Eigenschappen van artefactopslag. |
|
Artifact |
Het type artefactarchief. |
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Managed |
|
|
Provisioning |
De huidige inrichtingsstatus. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
ArtifactReplicationStrategy
De replicatiestrategie.
| Waarde | Description |
|---|---|
| Unknown | |
| SingleReplication |
ArtifactStore
Eigenschappen van artefactopslag.
| Name | Type | Description |
|---|---|---|
| id |
string |
Volledig gekwalificeerde resource-id voor de resource. Vb.: - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
De geografische locatie waar de resource zich bevindt |
| name |
string |
De naam van de resource |
| properties |
ArtifactStores-eigenschappen. |
|
| systemData |
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens. |
|
| tags |
object |
Resourcetags. |
| type |
string |
Het type resource. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts' |
ArtifactStorePropertiesFormat
Eigenschappen van artefactopslag.
| Name | Type | Description |
|---|---|---|
| managedResourceGroupConfiguration | ||
| provisioningState |
De inrichtingsstatus van de resource van de toepassingsgroepen. |
|
| replicationStrategy |
De replicatiestrategie. |
|
| storageResourceId |
string |
De gemaakte opslagresource-id |
| storeType |
Het type artefactarchief. |
ArtifactStoreType
Het type artefactarchief.
| Waarde | Description |
|---|---|
| Unknown | |
| AzureContainerRegistry | |
| AzureStorageAccount |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
ManagedResourceGroupConfiguration
| Name | Type | Description |
|---|---|---|
| location |
string |
De locatie van de beheerde resourcegroep. |
| name |
string |
De naam van de beheerde resourcegroep. |
ProvisioningState
De huidige inrichtingsstatus.
| Waarde | Description |
|---|---|
| Unknown | |
| Succeeded | |
| Accepted | |
| Deleting | |
| Failed | |
| Canceled | |
| Deleted | |
| Converging |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |